Subject: Fw: Invoice 1175166
From: "LLPS Customer Service" <[email-masked]>
To: "Ryan Dooley" <[email-masked]>
Date: Thu, 5 May 2011 16:54:09 -0400

Collections...please forward
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
----- Original Message ----- 
From: "Gillian Ament" <[email-masked]>
To: "Labor Law Poster Service" <[email-masked]>
Sent: Thursday, May 05, 2011 3:01 PM
Subject: RE: Invoice 1175166

Hello:  I received the invoice.  Unfortunately, I just found out I have
a 3:00 p.m.  meeting so won't be available to speak at 4:00 p.m.
 
Please note:  Carolina Affordable Housing is a North Carolina nonprofit
with no employees.  I find it very hard to believe that anyone here
would order a DC poster for this entity.  

Do you have any evidence that this order was initiated on our end?  Or
that the poster was actually shipped to this address?  I would need
either of these things if we are to pay this invoice that is totally
unnecessary for Carolina Affordable Housing.

I should be reachable by phone after 5: 00 p.m.

Gillian E. Ament
Controller
National Housing Trust
1101 30th Street, N.W., Suite #400
Washington, DC 20007
(202) 333-8931 ext. 114
FAX (202) 833-1031 

-----Original Message-----
From: Labor Law Poster Service [mailto:[email-masked]] 
Sent: Thursday, May 05, 2011 1:50 PM
To: Gillian Ament
Subject: Invoice 1175166

        
-------------------------
Thank you for your order. Your invoice is attached.

This is an automatically generated message from Labor Law Poster
Service. 
UID: 524